<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );
         
if ( !function_exists( 'child_theme_configurator_css' ) ):
    function child_theme_configurator_css() {
        wp_enqueue_style( 'chld_thm_cfg_child', trailingslashit( get_stylesheet_directory_uri() ) . 'style.css', array( 'astra-theme-css','astra-menu-animation' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'child_theme_configurator_css', 20 );

// END ENQUEUE PARENT ACTION

function cptui_register_my_cpts() {

	/**
	 * Post Type: Дома.
	 */

	$labels = array(
		"name" => __( "Дома", "custom-post-type-ui" ),
		"singular_name" => __( "Дом", "custom-post-type-ui" ),
	);

	$args = array(
		"label" => __( "Дома", "custom-post-type-ui" ),
		"labels" => $labels,
		"description" => "",
		"public" => true,
		"publicly_queryable" => true,
		"show_ui" => true,
		"delete_with_user" => false,
		"show_in_rest" => true,
		"rest_base" => "",
		"rest_controller_class" => "WP_REST_Posts_Controller",
		"has_archive" => true,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"exclude_from_search" => false,
		"capability_type" => "post",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => array( "slug" => "houses", "with_front" => true ),
		"query_var" => true,
		"menu_icon" => "dashicons-admin-home",
		"supports" => array( "title", "editor", "thumbnail" ),
	);

	register_post_type( "houses", $args );
}

add_action( 'init', 'cptui_register_my_cpts' );

add_action('woocommerce_single_product_summary','print_something_below_short_description', 8);

function print_something_below_short_description(){
	
echo '<strong>Расстояние:</strong> ', the_field('distance'), ' км<br>';
		
echo '<strong>Площадь дома:</strong> ', the_field('homearea'), ' м2<br>';
		
echo '<strong>Площадь участка:</strong> ', the_field('landarea'), ' сот.<br>';
		
echo '<strong>Этажность дома:</strong> ', the_field('floors'), '<br>';
		
echo '<strong>Отопление:</strong> ', the_field('heating'), '<br>';
		
echo '<strong>Имя агента:</strong> ', the_field('agentname'), '<br>';
		
echo '<strong>Телефон:</strong> ', the_field('agentphone'), '<br>';

$link = get_field('ymaps');

if($link): 

echo '<p><a class="button" href="', $link, '" target="blank">Посмотреть на карте</a></p>';

endif; 

}	

add_action('woocommerce_after_single_product','print_ymap');

function print_ymap(){
	
$lf_coord = get_field('location');

if($lf_coord["lat"]):

echo '<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css" integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA==" crossorigin=""/>';
echo '<script src="https://unpkg.com/leaflet@1.4.0/dist/leaflet.js" integrity="sha512-QVftwZFqvtRNi0ZyCtsznlKSWOStnDORoefr1enyq5mVL4tmKB3S/EnC3rRJcxCPavG10IcrVGSmPh6Qw5lwrg==" crossorigin=""></script>';

echo '<div id="mapid" style="width: 100%; height: 400px;"></div>';
echo '<script>';

echo 'var mymap = L.map("mapid").setView([', $lf_coord["lat"], ', ', $lf_coord["lng"], '], ', $lf_coord["zoom"],  ');';

echo "L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {";
echo "attribution: '&copy;", '<a href="http://osm.org/copyright">OpenStreetMap</a>',  "contributors'";
echo '}).addTo(mymap); ';

echo 'L.marker([', $lf_coord["lat"], ',', $lf_coord["lng"], ']).addTo(mymap).bindPopup("', $lf_coord["address"], '"); </script>';

endif;		
	
$coord = get_field('geomaps');

if($coord):

echo '<script src="http://api-maps.yandex.ru/2.1/?lang=ru_RU" type="text/javascript"></script>', "\n\r";

echo '<style>
      #map {
        width: 100%;
        padding: 0;
        height: 450px;
      }
</style>', "\n\r"; 

echo '<div id="map" name="yandexmap"></div>', "\n\r";

echo '<script type="text/javascript">', "\n\r";
	
echo 'ymaps.ready(init);', "\n\r";

echo 'function init() {', "\n\r";
echo 'var myMap = new ymaps.Map("map", {', "\n\r";
echo 'center: [', $coord, '],', "\n\r";
echo 'zoom: 15', "\n\r";
echo '}, {', "\n\r";
echo 'searchControlProvider: "yandex#search"', "\n\r";
echo '}),', "\n\r";

    
echo 'myGeoObject = new ymaps.GeoObject({', "\n\r";
            
echo ' geometry: {', "\n\r";
echo 'type: "Point",', "\n\r";
echo 'coordinates: [', $coord, ']', "\n\r";
echo '}', "\n\r";
echo '});', "\n\r";

echo 'myMap.geoObjects.add(myGeoObject);', "\n\r";
echo '}', "\n\r";
	
	
echo '</script>', "\n\r";

endif;		
	

}	

add_filter('woocommerce_show_page_title', '__return_false'); 

function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

