<?php
/**
 * Template for Single post
 *
 * @package     Astra
 * @author      Astra
 * @copyright   Copyright (c) 2019, Astra
 * @link        https://wpastra.com/
 * @since       Astra 1.0.0
 */

?>

<div <?php astra_blog_layout_class( 'single-layout-1' ); ?>>

	<?php astra_single_header_before(); ?>

	<header class="entry-header <?php astra_entry_header_class(); ?>">

		<?php astra_single_header_top(); ?>

		<?php astra_blog_post_thumbnail_and_title_order(); ?>

		<?php astra_single_header_bottom(); ?>

	</header><!-- .entry-header -->

	<?php astra_single_header_after(); ?>

	<div class="entry-content clear" itemprop="text">

		<?php astra_entry_content_before(); ?>
		
		
		<?php 

$post_type_my = get_post_type($post);

if($post_type_my == "houses"): ?>
		
		<p><strong>Шоссе:</strong> <?php the_field('highway'); ?></p>
		
		<p><strong>Расстояние:</strong> <?php the_field('distance'); ?> км</p>
		
		<p><strong>Площадь дома:</strong> <?php the_field('homearea'); ?> м2</p>
		
		<p><strong>Площадь участка:</strong> <?php the_field('landarea'); ?> сот.</p>
		
		<p><strong>Этажность дома:</strong> <?php the_field('floors'); ?></p>
		
		<p><strong>Отопление:</strong> <?php the_field('heating'); ?></p>
		
		<p><strong>Имя агента:</strong> <?php the_field('agentname'); ?></p>
		
		<p><strong>Телефон:</strong> <?php the_field('agentphone'); ?></p>
		
		<p><strong>Цена:</strong> <?php the_field('price'); ?> тыс. руб.</p>	
		
<?php 

$coord = get_field('ymaps');

if( $coord ): ?>

<script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&amp;apikey=d0854312-330c-4d4b-8435-35172ce175dc" type="text/javascript"></script>

<div id="map"></div>

<script type="text/javascript">
	
	ymaps.ready(init);

function init() {
    var myMap = new ymaps.Map("map", {
            center: [<?php echo $coord; ?>],
            zoom: 10
        }, {
            searchControlProvider: 'yandex#search'
        }),

    // Создаем геообъект с типом геометрии "Точка".
        myGeoObject = new ymaps.GeoObject({
            // Описание геометрии.
            geometry: {
                type: "Point",
                coordinates: [<?php echo $coord; ?>]
            }
        });

    myMap.geoObjects
        .add(myGeoObject);
}
	
	
</script>



<?php endif; ?>
		
<?php 

$image = get_field('photo');

if( !empty($image) ): ?>

	<a href="<?php echo $image['url']; ?>" class="fancybox-close"><img src="<?php echo $image['url']; ?>" class="home" alt="<?php echo $image['alt']; ?>" /></a>

<?php endif; ?>


<?php 

$image1 = get_field('image1');

if( !empty($image1) ): ?>

	<a href="<?php echo $image1['url']; ?>" class="fancybox-close"><img src="<?php echo $image1['url']; ?>" class="home"  alt="<?php echo $image1['alt']; ?>" /></a>

<?php endif; ?>

<?php 

$image2 = get_field('image2');

if( !empty($image2) ): ?>

	<a href="<?php echo $image2['url']; ?>" class="fancybox-close"><img src="<?php echo $image2['url']; ?>" class="home"  alt="<?php echo $image2['alt']; ?>" /></a>

<?php endif; ?>


<?php endif; ?>
		

		<?php the_content(); ?>

		<?php
			astra_edit_post_link(

				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'astra' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>

		<?php astra_entry_content_after(); ?>

		<?php
			wp_link_pages(
				array(
					'before'      => '<div class="page-links">' . esc_html( astra_default_strings( 'string-single-page-links-before', false ) ),
					'after'       => '</div>',
					'link_before' => '<span class="page-link">',
					'link_after'  => '</span>',
				)
			);
			?>
	</div><!-- .entry-content .clear -->
</div>
